# Hibbian Repo

## Install with Script

Download the script from: <https://guide.hibbian.org/static/files/setup.sh>

This must be run from the command line:

!!! note "Terminal Commands"
	``` 
	cd /tmp
	wget https://guide.hibbian.org/static/files/setup.sh
	chmod +x /tmp/setup.sh
	sudo bash /tmp/setup.sh
	```

## Install Manually

This assumes you have some knowledge of Debian/Ubuntu and know how to take
risks!

### Fetch the keyring for your distro

Download and install the .deb that suits your distro:

  * [Bullseye](http://repo.hibbian.org/packetrepo/pool/main/h/hibbian-archive-keyring/hibbian-archive-keyring_20240924~packetrepo11+3_all.deb)
  * [Bookworm](http://repo.hibbian.org/packetrepo/pool/main/h/hibbian-archive-keyring/hibbian-archive-keyring_20240924~packetrepo12+3_all.deb)
  * [Testing](http://repo.hibbian.org/packetrepo/pool/main/h/hibbian-archive-keyring/hibbian-archive-keyring_20240924~packetrepo~TRIXIE+3_all.deb)

## Set up Repo

`sudo apt install ./keyring-file.deb`

## Update

Once the repo is setup, refresh your package lists and we're good to go:

```
sudo apt update
```
## See what's available

A rough list of what's available is available at
[githib](https://git.hibbian.org/Hibbian). If you have any issues, sign up there
and leave an issue against the right thing!
